Subject: Re: fast-import should not care about core.ignorecase

From: Joshua Jensen <[email-masked]>
Date: Mon, 08 Dec 2014 20:20:52 -0700

Jonathan Nieder wrote on 12/8/2014 6:31 PM:
> Joshua Jensen wrote:
>> I think it has been discussed before, but maybe Git needs a
>> core.casefold in addition to core.ignorecase.)
> Would it work for --casefold to be a commandline flag to fast-import,
> instead of a global option affecting multiple Git commands?
Given that core.ignorecase=true means to fold filename case in quite a 
number of places within Git right now, I would expect the same behavior 
within a repository where fast-import is being run against 
core.ignorecase=true.

So, I don't know what core.ignorecase should mean, but I'm pretty sure I 
know what core.foldcase should mean.

Would --casefold work?  Sure, but it would be a special case against the 
existing core.ignorecase behavior that I don't think makes much sense.

Josh